BasicSplitPaneUI.BasicVerticalLayoutManager (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicSplitPaneUI, class: BasicVerticalLayoutManager
Keywords: javax.swing.plaf.basic.BasicSplitPaneUI.BasicVerticalLayoutManager class

# Class BasicSplitPaneUI.BasicVerticalLayoutManager

java.lang.Object
javax.swing.plaf.basic.BasicSplitPaneUI.BasicHorizontalLayoutManager
javax.swing.plaf.basic.BasicSplitPaneUI.BasicVerticalLayoutManager

All Implemented Interfaces:
  `LayoutManager, LayoutManager2`

Enclosing class:
  `BasicSplitPaneUI`

public non-sealed class BasicSplitPaneUI.BasicVerticalLayoutManager extends BasicSplitPaneUI.BasicHorizontalLayoutManager
LayoutManager used for JSplitPanes with an orientation of VERTICAL_SPLIT.

- ## Field Summary

  ### Fields declared in class BasicSplitPaneUI.BasicHorizontalLayoutManager

  `components, sizes`
  Modifier and Type
  Field
  Description
  `protected Component[]`
  `components`
  The components.
  `protected int[]`
  `sizes`
  The size of components.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicVerticalLayoutManager()`
  Constructs a new instance of `BasicVerticalLayoutManager`.

- ## Method Summary

  ### Methods declared in class BasicSplitPaneUI.BasicHorizontalLayoutManager

  `addLayoutComponent, addLayoutComponent, getAvailableSize, getInitialLocation, getLayoutAlignmentX, getLayoutAlignmentY, getPreferredSizeOfComponent, getSizeOfComponent, getSizes, invalidateLayout, layoutContainer, maximumLayoutSize, minimumLayoutSize, preferredLayoutSize, removeLayoutComponent, resetSizeAt, resetToPreferredSizes, setComponentToSize, setSizes, updateComponents`
  Modifier and Type
  Method
  Description
  `void`
  `addLayoutComponent(Component comp, Object constraints)`
  Adds the specified component to the layout, using the specified constraint object.
  `void`
  `addLayoutComponent(String place, Component component)`
  Adds the component at place.
  `protected int`
  `getAvailableSize(Dimension containerSize, Insets insets)`
  Returns the available width based on the container size and `Insets`.
  `protected int`
  `getInitialLocation(Insets insets)`
  Returns the left inset, unless the `Insets` are null in which case 0 is returned.
  `float`
  `getLayoutAlignmentX(Container target)`
  Returns the alignment along the x axis.
  `float`
  `getLayoutAlignmentY(Container target)`
  Returns the alignment along the y axis.
  `protected int`
  `getPreferredSizeOfComponent(Component c)`
  Returns the width of the passed in Components preferred size.
  `protected int`
  `getSizeOfComponent(Component c)`
  Returns the width of the passed in component.
  `protected int[]`
  `getSizes()`
  Returns the sizes of the components.
  `void`
  `invalidateLayout(Container c)`
  Does nothing.
  `void`
  `layoutContainer(Container container)`
  Does the actual layout.
  `Dimension`
  `maximumLayoutSize(Container target)`
  Returns the maximum layout size, which is Integer.MAX_VALUE in both directions.
  `Dimension`
  `minimumLayoutSize(Container container)`
  Returns the minimum size needed to contain the children.
  `Dimension`
  `preferredLayoutSize(Container container)`
  Returns the preferred size needed to contain the children.
  `void`
  `removeLayoutComponent(Component component)`
  Removes the specified component from our knowledge.
  `protected void`
  `resetSizeAt(int index)`
  Resets the size of the Component at the passed in location.
  `void`
  `resetToPreferredSizes()`
  Marks the receiver so that the next time this instance is laid out it'll ask for the preferred sizes.
  `protected void`
  `setComponentToSize(Component c, int size, int location, Insets insets, Dimension containerSize)`
  Sets the width of the component `c` to be `size`, placing its x location at `location`, y to the `insets.top` and height to the `containerSize.height` less the top and bottom insets.
  `protected void`
  `setSizes(int[] newSizes)`
  Sets the sizes to `newSizes`.
  `protected void`
  `updateComponents()`
  Determines the components.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### BasicVerticalLayoutManager

    public BasicVerticalLayoutManager()
    Constructs a new instance of `BasicVerticalLayoutManager`.